Skip to content
CompozyOS RuntimeAPI Reference

Automation

Compozy Automation HTTP endpoints.

Audience
Operators running durable agent work
Focus
API Reference guidance shaped for scanability, day-two clarity, and operator context.
GET/api/automation/jobs

Query Parameters

scope?string

Filter by automation scope

Value in

  • "global"
  • "workspace"
workspace_id?string

Filter by workspace id

source?string

Filter by job source

Value in

  • "config"
  • "package"
  • "dynamic"
enabled?boolean

Filter by enabled state

q?string

Search jobs by name, agent, prompt, scope, source, or schedule

cursor?string

Continue after this automation job cursor

limit?integer

Maximum number of records to return

Formatint32
loop?string

Filter by Loop target name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/jobs"
{  "jobs": [    {      "agent_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "enabled": true,      "fire_limit": {        "max": 0,        "window": "string"      },      "id": "string",      "loop_target": {        "input_mapping": {          "property1": "string",          "property2": "string"        },        "inputs": {          "property1": null,          "property2": null        },        "loop_name": "string",        "network_participation": {          "mode": "local"        },        "workspace_id": "string"      },      "name": "string",      "next_run": "2019-08-24T14:15:22Z",      "prompt": "string",      "retry": {        "base_delay": "string",        "max_retries": 0,        "strategy": "none"      },      "schedule": {        "catch_up_policy": "skip_missed",        "expr": "string",        "interval": "string",        "misfire_grace_seconds": 0,        "mode": "cron",        "time": "string"      },      "scheduler": {        "catch_up_policy": "skip_missed",        "consecutive_resume_failures": 0,        "job_id": "string",        "last_fire_id": "string",        "last_misfire_at": "2019-08-24T14:15:22Z",        "last_run_at": "2019-08-24T14:15:22Z",        "last_scheduled_at": "2019-08-24T14:15:22Z",        "misfire_count": 0,        "misfire_grace_seconds": 0,        "next_run_at": "2019-08-24T14:15:22Z",        "registered": true,        "updated_at": "2019-08-24T14:15:22Z"      },      "scope": "global",      "source": "config",      "target_kind": "string",      "task": {        "description": "string",        "network_participation": {          "mode": "local"        },        "owner": {          "kind": "human",          "ref": "string"        },        "title": "string"      },      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    }  ],  "page": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "total": 0  }}
POST/api/automation/jobs

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/automation/jobs" \  -H "Content-Type: application/json" \  -d '{    "agent_name": "string",    "name": "string",    "prompt": "string",    "schedule": {      "mode": "cron"    },    "scope": "global"  }'
{  "job": {    "agent_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "enabled": true,    "fire_limit": {      "max": 0,      "window": "string"    },    "id": "string",    "loop_target": {      "input_mapping": {        "property1": "string",        "property2": "string"      },      "inputs": {        "property1": null,        "property2": null      },      "loop_name": "string",      "network_participation": {        "mode": "local"      },      "workspace_id": "string"    },    "name": "string",    "next_run": "2019-08-24T14:15:22Z",    "prompt": "string",    "retry": {      "base_delay": "string",      "max_retries": 0,      "strategy": "none"    },    "schedule": {      "catch_up_policy": "skip_missed",      "expr": "string",      "interval": "string",      "misfire_grace_seconds": 0,      "mode": "cron",      "time": "string"    },    "scheduler": {      "catch_up_policy": "skip_missed",      "consecutive_resume_failures": 0,      "job_id": "string",      "last_fire_id": "string",      "last_misfire_at": "2019-08-24T14:15:22Z",      "last_run_at": "2019-08-24T14:15:22Z",      "last_scheduled_at": "2019-08-24T14:15:22Z",      "misfire_count": 0,      "misfire_grace_seconds": 0,      "next_run_at": "2019-08-24T14:15:22Z",      "registered": true,      "updated_at": "2019-08-24T14:15:22Z"    },    "scope": "global",    "source": "config",    "target_kind": "string",    "task": {      "description": "string",      "network_participation": {        "mode": "local"      },      "owner": {        "kind": "human",        "ref": "string"      },      "title": "string"    },    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "string"  }}
GET/api/automation/jobs/{id}

Path Parameters

id*string

Automation job id

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/jobs/string"
{  "job": {    "agent_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "enabled": true,    "fire_limit": {      "max": 0,      "window": "string"    },    "id": "string",    "loop_target": {      "input_mapping": {        "property1": "string",        "property2": "string"      },      "inputs": {        "property1": null,        "property2": null      },      "loop_name": "string",      "network_participation": {        "mode": "local"      },      "workspace_id": "string"    },    "name": "string",    "next_run": "2019-08-24T14:15:22Z",    "prompt": "string",    "retry": {      "base_delay": "string",      "max_retries": 0,      "strategy": "none"    },    "schedule": {      "catch_up_policy": "skip_missed",      "expr": "string",      "interval": "string",      "misfire_grace_seconds": 0,      "mode": "cron",      "time": "string"    },    "scheduler": {      "catch_up_policy": "skip_missed",      "consecutive_resume_failures": 0,      "job_id": "string",      "last_fire_id": "string",      "last_misfire_at": "2019-08-24T14:15:22Z",      "last_run_at": "2019-08-24T14:15:22Z",      "last_scheduled_at": "2019-08-24T14:15:22Z",      "misfire_count": 0,      "misfire_grace_seconds": 0,      "next_run_at": "2019-08-24T14:15:22Z",      "registered": true,      "updated_at": "2019-08-24T14:15:22Z"    },    "scope": "global",    "source": "config",    "target_kind": "string",    "task": {      "description": "string",      "network_participation": {        "mode": "local"      },      "owner": {        "kind": "human",        "ref": "string"      },      "title": "string"    },    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "string"  }}
PATCH/api/automation/jobs/{id}

Path Parameters

id*string

Automation job id

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/automation/jobs/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "job": {    "agent_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "enabled": true,    "fire_limit": {      "max": 0,      "window": "string"    },    "id": "string",    "loop_target": {      "input_mapping": {        "property1": "string",        "property2": "string"      },      "inputs": {        "property1": null,        "property2": null      },      "loop_name": "string",      "network_participation": {        "mode": "local"      },      "workspace_id": "string"    },    "name": "string",    "next_run": "2019-08-24T14:15:22Z",    "prompt": "string",    "retry": {      "base_delay": "string",      "max_retries": 0,      "strategy": "none"    },    "schedule": {      "catch_up_policy": "skip_missed",      "expr": "string",      "interval": "string",      "misfire_grace_seconds": 0,      "mode": "cron",      "time": "string"    },    "scheduler": {      "catch_up_policy": "skip_missed",      "consecutive_resume_failures": 0,      "job_id": "string",      "last_fire_id": "string",      "last_misfire_at": "2019-08-24T14:15:22Z",      "last_run_at": "2019-08-24T14:15:22Z",      "last_scheduled_at": "2019-08-24T14:15:22Z",      "misfire_count": 0,      "misfire_grace_seconds": 0,      "next_run_at": "2019-08-24T14:15:22Z",      "registered": true,      "updated_at": "2019-08-24T14:15:22Z"    },    "scope": "global",    "source": "config",    "target_kind": "string",    "task": {      "description": "string",      "network_participation": {        "mode": "local"      },      "owner": {        "kind": "human",        "ref": "string"      },      "title": "string"    },    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "string"  }}
DELETE/api/automation/jobs/{id}

Path Parameters

id*string

Automation job id

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/automation/jobs/string"
Empty
GET/api/automation/jobs/{id}/runs

Path Parameters

id*string

Automation job id

Query Parameters

status?string

Filter by run status

Value in

  • "scheduled"
  • "running"
  • "delegated"
  • "completed"
  • "failed"
  • "canceled"
since?string

Only runs started since this timestamp

Formatdate-time
until?string

Only runs started before this timestamp

Formatdate-time
limit?integer

Maximum number of records to return

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/jobs/string/runs"
{  "runs": [    {      "attempt": 0,      "delivery_error": "string",      "delivery_error_at": "2019-08-24T14:15:22Z",      "ended_at": "2019-08-24T14:15:22Z",      "error": "string",      "fire_id": "string",      "id": "string",      "job_id": "string",      "loop_run_id": "string",      "metadata": {        "property1": null,        "property2": null      },      "network_participation": {        "mode": "local"      },      "scheduled_at": "2019-08-24T14:15:22Z",      "session_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "scheduled",      "task_id": "string",      "task_run_id": "string",      "trigger_id": "string"    }  ]}
POST/api/automation/jobs/{id}/trigger

Path Parameters

id*string

Automation job id

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/automation/jobs/string/trigger"
{  "run": {    "attempt": 0,    "delivery_error": "string",    "delivery_error_at": "2019-08-24T14:15:22Z",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "fire_id": "string",    "id": "string",    "job_id": "string",    "loop_run_id": "string",    "metadata": {      "property1": null,      "property2": null    },    "network_participation": {      "mode": "local"    },    "scheduled_at": "2019-08-24T14:15:22Z",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "scheduled",    "task_id": "string",    "task_run_id": "string",    "trigger_id": "string"  }}
GET/api/automation/runs

Query Parameters

job_id?string

Filter by automation job id

trigger_id?string

Filter by automation trigger id

status?string

Filter by run status

Value in

  • "scheduled"
  • "running"
  • "delegated"
  • "completed"
  • "failed"
  • "canceled"
since?string

Only runs started since this timestamp

Formatdate-time
until?string

Only runs started before this timestamp

Formatdate-time
limit?integer

Maximum number of records to return

Formatint32

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/runs"
{  "runs": [    {      "attempt": 0,      "delivery_error": "string",      "delivery_error_at": "2019-08-24T14:15:22Z",      "ended_at": "2019-08-24T14:15:22Z",      "error": "string",      "fire_id": "string",      "id": "string",      "job_id": "string",      "loop_run_id": "string",      "metadata": {        "property1": null,        "property2": null      },      "network_participation": {        "mode": "local"      },      "scheduled_at": "2019-08-24T14:15:22Z",      "session_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "scheduled",      "task_id": "string",      "task_run_id": "string",      "trigger_id": "string"    }  ]}
GET/api/automation/runs/{id}

Path Parameters

id*string

Automation run id

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/runs/string"
{  "run": {    "attempt": 0,    "delivery_error": "string",    "delivery_error_at": "2019-08-24T14:15:22Z",    "ended_at": "2019-08-24T14:15:22Z",    "error": "string",    "fire_id": "string",    "id": "string",    "job_id": "string",    "loop_run_id": "string",    "metadata": {      "property1": null,      "property2": null    },    "network_participation": {      "mode": "local"    },    "scheduled_at": "2019-08-24T14:15:22Z",    "session_id": "string",    "started_at": "2019-08-24T14:15:22Z",    "status": "scheduled",    "task_id": "string",    "task_run_id": "string",    "trigger_id": "string"  }}
GET/api/automation/triggers

Query Parameters

scope?string

Filter by automation scope

Value in

  • "global"
  • "workspace"
workspace_id?string

Filter by workspace id

source?string

Filter by trigger source

Value in

  • "config"
  • "package"
  • "dynamic"
enabled?boolean

Filter by enabled state

event?string

Filter by trigger event

q?string

Search triggers by definition or filter fields

cursor?string

Continue after this automation trigger cursor

limit?integer

Maximum number of records to return

Formatint32
loop?string

Filter by Loop target name

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/triggers"
{  "page": {    "has_more": true,    "limit": 0,    "next_cursor": "string",    "total": 0  },  "triggers": [    {      "agent_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "enabled": true,      "endpoint_slug": "string",      "event": "string",      "filter": {        "property1": "string",        "property2": "string"      },      "fire_limit": {        "max": 0,        "window": "string"      },      "id": "string",      "loop_target": {        "input_mapping": {          "property1": "string",          "property2": "string"        },        "inputs": {          "property1": null,          "property2": null        },        "loop_name": "string",        "network_participation": {          "mode": "local"        },        "workspace_id": "string"      },      "name": "string",      "prompt": "string",      "retry": {        "base_delay": "string",        "max_retries": 0,        "strategy": "none"      },      "scope": "global",      "source": "config",      "target_kind": "string",      "updated_at": "2019-08-24T14:15:22Z",      "webhook_id": "string",      "webhook_secret_hash": "string",      "webhook_secret_present": true,      "workspace_id": "string"    }  ]}
POST/api/automation/triggers

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/automation/triggers" \  -H "Content-Type: application/json" \  -d '{    "agent_name": "string",    "event": "string",    "name": "string",    "prompt": "string",    "scope": "global"  }'
{  "trigger": {    "agent_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "enabled": true,    "endpoint_slug": "string",    "event": "string",    "filter": {      "property1": "string",      "property2": "string"    },    "fire_limit": {      "max": 0,      "window": "string"    },    "id": "string",    "loop_target": {      "input_mapping": {        "property1": "string",        "property2": "string"      },      "inputs": {        "property1": null,        "property2": null      },      "loop_name": "string",      "network_participation": {        "mode": "local"      },      "workspace_id": "string"    },    "name": "string",    "prompt": "string",    "retry": {      "base_delay": "string",      "max_retries": 0,      "strategy": "none"    },    "scope": "global",    "source": "config",    "target_kind": "string",    "updated_at": "2019-08-24T14:15:22Z",    "webhook_id": "string",    "webhook_secret_hash": "string",    "webhook_secret_present": true,    "workspace_id": "string"  }}
GET/api/automation/triggers/{id}

Path Parameters

id*string

Automation trigger id

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/triggers/string"
{  "trigger": {    "agent_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "enabled": true,    "endpoint_slug": "string",    "event": "string",    "filter": {      "property1": "string",      "property2": "string"    },    "fire_limit": {      "max": 0,      "window": "string"    },    "id": "string",    "loop_target": {      "input_mapping": {        "property1": "string",        "property2": "string"      },      "inputs": {        "property1": null,        "property2": null      },      "loop_name": "string",      "network_participation": {        "mode": "local"      },      "workspace_id": "string"    },    "name": "string",    "prompt": "string",    "retry": {      "base_delay": "string",      "max_retries": 0,      "strategy": "none"    },    "scope": "global",    "source": "config",    "target_kind": "string",    "updated_at": "2019-08-24T14:15:22Z",    "webhook_id": "string",    "webhook_secret_hash": "string",    "webhook_secret_present": true,    "workspace_id": "string"  }}
PATCH/api/automation/triggers/{id}

Path Parameters

id*string

Automation trigger id

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/automation/triggers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "trigger": {    "agent_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "enabled": true,    "endpoint_slug": "string",    "event": "string",    "filter": {      "property1": "string",      "property2": "string"    },    "fire_limit": {      "max": 0,      "window": "string"    },    "id": "string",    "loop_target": {      "input_mapping": {        "property1": "string",        "property2": "string"      },      "inputs": {        "property1": null,        "property2": null      },      "loop_name": "string",      "network_participation": {        "mode": "local"      },      "workspace_id": "string"    },    "name": "string",    "prompt": "string",    "retry": {      "base_delay": "string",      "max_retries": 0,      "strategy": "none"    },    "scope": "global",    "source": "config",    "target_kind": "string",    "updated_at": "2019-08-24T14:15:22Z",    "webhook_id": "string",    "webhook_secret_hash": "string",    "webhook_secret_present": true,    "workspace_id": "string"  }}
DELETE/api/automation/triggers/{id}

Path Parameters

id*string

Automation trigger id

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/automation/triggers/string"
Empty
GET/api/automation/triggers/{id}/runs

Path Parameters

id*string

Automation trigger id

Query Parameters

status?string

Filter by run status

Value in

  • "scheduled"
  • "running"
  • "delegated"
  • "completed"
  • "failed"
  • "canceled"
since?string

Only runs started since this timestamp

Formatdate-time
until?string

Only runs started before this timestamp

Formatdate-time
limit?integer

Maximum number of records to return

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/automation/triggers/string/runs"
{  "runs": [    {      "attempt": 0,      "delivery_error": "string",      "delivery_error_at": "2019-08-24T14:15:22Z",      "ended_at": "2019-08-24T14:15:22Z",      "error": "string",      "fire_id": "string",      "id": "string",      "job_id": "string",      "loop_run_id": "string",      "metadata": {        "property1": null,        "property2": null      },      "network_participation": {        "mode": "local"      },      "scheduled_at": "2019-08-24T14:15:22Z",      "session_id": "string",      "started_at": "2019-08-24T14:15:22Z",      "status": "scheduled",      "task_id": "string",      "task_run_id": "string",      "trigger_id": "string"    }  ]}
POST/api/webhooks/global/{endpoint}

Path Parameters

endpoint*string

Webhook endpoint slug and id

Header Parameters

X-Compozy-Webhook-Timestamp*string

Signed webhook timestamp

X-Compozy-Webhook-Signature*string

Signed webhook HMAC signature

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/webhooks/global/string" \  -H "X-Compozy-Webhook-Timestamp: string" \  -H "X-Compozy-Webhook-Signature: string" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{  "result": {    "matched": 0,    "runs": [      {        "attempt": 0,        "delivery_error": "string",        "delivery_error_at": "2019-08-24T14:15:22Z",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "fire_id": "string",        "id": "string",        "job_id": "string",        "loop_run_id": "string",        "metadata": {          "property1": null,          "property2": null        },        "network_participation": {          "mode": "local"        },        "scheduled_at": "2019-08-24T14:15:22Z",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "scheduled",        "task_id": "string",        "task_run_id": "string",        "trigger_id": "string"      }    ]  }}
POST/api/webhooks/workspaces/{workspace_id}/{endpoint}

Path Parameters

workspace_id*string

Workspace id

endpoint*string

Webhook endpoint slug and id

Header Parameters

X-Compozy-Webhook-Timestamp*string

Signed webhook timestamp

X-Compozy-Webhook-Signature*string

Signed webhook HMAC signature

Request Body

application/json

JSON request body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/webhooks/workspaces/string/string" \  -H "X-Compozy-Webhook-Timestamp: string" \  -H "X-Compozy-Webhook-Signature: string" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{  "result": {    "matched": 0,    "runs": [      {        "attempt": 0,        "delivery_error": "string",        "delivery_error_at": "2019-08-24T14:15:22Z",        "ended_at": "2019-08-24T14:15:22Z",        "error": "string",        "fire_id": "string",        "id": "string",        "job_id": "string",        "loop_run_id": "string",        "metadata": {          "property1": null,          "property2": null        },        "network_participation": {          "mode": "local"        },        "scheduled_at": "2019-08-24T14:15:22Z",        "session_id": "string",        "started_at": "2019-08-24T14:15:22Z",        "status": "scheduled",        "task_id": "string",        "task_run_id": "string",        "trigger_id": "string"      }    ]  }}
GET/api/workspaces/{workspace_id}/automation/suggestions

Path Parameters

workspace_id*string

Workspace id

Query Parameters

status?string

Filter by suggestion status

Value in

  • "pending"
  • "accepted"
  • "dismissed"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/workspaces/string/automation/suggestions"
{  "suggestions": [    {      "created_at": "2019-08-24T14:15:22Z",      "dedup_key": "string",      "id": "string",      "payload": {        "agent_name": "string",        "created_at": "2019-08-24T14:15:22Z",        "enabled": true,        "fire_limit": {          "max": 0,          "window": "string"        },        "id": "string",        "loop_target": {          "input_mapping": {            "property1": "string",            "property2": "string"          },          "inputs": {            "property1": null,            "property2": null          },          "loop_name": "string",          "network_participation": {            "mode": "local"          },          "workspace_id": "string"        },        "name": "string",        "next_run": "2019-08-24T14:15:22Z",        "prompt": "string",        "retry": {          "base_delay": "string",          "max_retries": 0,          "strategy": "none"        },        "schedule": {          "catch_up_policy": "skip_missed",          "expr": "string",          "interval": "string",          "misfire_grace_seconds": 0,          "mode": "cron",          "time": "string"        },        "scheduler": {          "catch_up_policy": "skip_missed",          "consecutive_resume_failures": 0,          "job_id": "string",          "last_fire_id": "string",          "last_misfire_at": "2019-08-24T14:15:22Z",          "last_run_at": "2019-08-24T14:15:22Z",          "last_scheduled_at": "2019-08-24T14:15:22Z",          "misfire_count": 0,          "misfire_grace_seconds": 0,          "next_run_at": "2019-08-24T14:15:22Z",          "registered": true,          "updated_at": "2019-08-24T14:15:22Z"        },        "scope": "global",        "source": "config",        "target_kind": "string",        "task": {          "description": "string",          "network_participation": {            "mode": "local"          },          "owner": {            "kind": "human",            "ref": "string"          },          "title": "string"        },        "updated_at": "2019-08-24T14:15:22Z",        "workspace_id": "string"      },      "resolved_at": "2019-08-24T14:15:22Z",      "source": "string",      "status": "string",      "workspace_id": "string"    }  ]}
POST/api/workspaces/{workspace_id}/automation/suggestions/{suggestion_id}/accept

Path Parameters

workspace_id*string

Workspace id

suggestion_id*string

Automation suggestion id

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces/string/automation/suggestions/string/accept"
{  "job": {    "agent_name": "string",    "created_at": "2019-08-24T14:15:22Z",    "enabled": true,    "fire_limit": {      "max": 0,      "window": "string"    },    "id": "string",    "loop_target": {      "input_mapping": {        "property1": "string",        "property2": "string"      },      "inputs": {        "property1": null,        "property2": null      },      "loop_name": "string",      "network_participation": {        "mode": "local"      },      "workspace_id": "string"    },    "name": "string",    "next_run": "2019-08-24T14:15:22Z",    "prompt": "string",    "retry": {      "base_delay": "string",      "max_retries": 0,      "strategy": "none"    },    "schedule": {      "catch_up_policy": "skip_missed",      "expr": "string",      "interval": "string",      "misfire_grace_seconds": 0,      "mode": "cron",      "time": "string"    },    "scheduler": {      "catch_up_policy": "skip_missed",      "consecutive_resume_failures": 0,      "job_id": "string",      "last_fire_id": "string",      "last_misfire_at": "2019-08-24T14:15:22Z",      "last_run_at": "2019-08-24T14:15:22Z",      "last_scheduled_at": "2019-08-24T14:15:22Z",      "misfire_count": 0,      "misfire_grace_seconds": 0,      "next_run_at": "2019-08-24T14:15:22Z",      "registered": true,      "updated_at": "2019-08-24T14:15:22Z"    },    "scope": "global",    "source": "config",    "target_kind": "string",    "task": {      "description": "string",      "network_participation": {        "mode": "local"      },      "owner": {        "kind": "human",        "ref": "string"      },      "title": "string"    },    "updated_at": "2019-08-24T14:15:22Z",    "workspace_id": "string"  },  "suggestion": {    "created_at": "2019-08-24T14:15:22Z",    "dedup_key": "string",    "id": "string",    "payload": {      "agent_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "enabled": true,      "fire_limit": {        "max": 0,        "window": "string"      },      "id": "string",      "loop_target": {        "input_mapping": {          "property1": "string",          "property2": "string"        },        "inputs": {          "property1": null,          "property2": null        },        "loop_name": "string",        "network_participation": {          "mode": "local"        },        "workspace_id": "string"      },      "name": "string",      "next_run": "2019-08-24T14:15:22Z",      "prompt": "string",      "retry": {        "base_delay": "string",        "max_retries": 0,        "strategy": "none"      },      "schedule": {        "catch_up_policy": "skip_missed",        "expr": "string",        "interval": "string",        "misfire_grace_seconds": 0,        "mode": "cron",        "time": "string"      },      "scheduler": {        "catch_up_policy": "skip_missed",        "consecutive_resume_failures": 0,        "job_id": "string",        "last_fire_id": "string",        "last_misfire_at": "2019-08-24T14:15:22Z",        "last_run_at": "2019-08-24T14:15:22Z",        "last_scheduled_at": "2019-08-24T14:15:22Z",        "misfire_count": 0,        "misfire_grace_seconds": 0,        "next_run_at": "2019-08-24T14:15:22Z",        "registered": true,        "updated_at": "2019-08-24T14:15:22Z"      },      "scope": "global",      "source": "config",      "target_kind": "string",      "task": {        "description": "string",        "network_participation": {          "mode": "local"        },        "owner": {          "kind": "human",          "ref": "string"        },        "title": "string"      },      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    },    "resolved_at": "2019-08-24T14:15:22Z",    "source": "string",    "status": "string",    "workspace_id": "string"  }}
POST/api/workspaces/{workspace_id}/automation/suggestions/{suggestion_id}/dismiss

Path Parameters

workspace_id*string

Workspace id

suggestion_id*string

Automation suggestion id

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/workspaces/string/automation/suggestions/string/dismiss"
{  "suggestion": {    "created_at": "2019-08-24T14:15:22Z",    "dedup_key": "string",    "id": "string",    "payload": {      "agent_name": "string",      "created_at": "2019-08-24T14:15:22Z",      "enabled": true,      "fire_limit": {        "max": 0,        "window": "string"      },      "id": "string",      "loop_target": {        "input_mapping": {          "property1": "string",          "property2": "string"        },        "inputs": {          "property1": null,          "property2": null        },        "loop_name": "string",        "network_participation": {          "mode": "local"        },        "workspace_id": "string"      },      "name": "string",      "next_run": "2019-08-24T14:15:22Z",      "prompt": "string",      "retry": {        "base_delay": "string",        "max_retries": 0,        "strategy": "none"      },      "schedule": {        "catch_up_policy": "skip_missed",        "expr": "string",        "interval": "string",        "misfire_grace_seconds": 0,        "mode": "cron",        "time": "string"      },      "scheduler": {        "catch_up_policy": "skip_missed",        "consecutive_resume_failures": 0,        "job_id": "string",        "last_fire_id": "string",        "last_misfire_at": "2019-08-24T14:15:22Z",        "last_run_at": "2019-08-24T14:15:22Z",        "last_scheduled_at": "2019-08-24T14:15:22Z",        "misfire_count": 0,        "misfire_grace_seconds": 0,        "next_run_at": "2019-08-24T14:15:22Z",        "registered": true,        "updated_at": "2019-08-24T14:15:22Z"      },      "scope": "global",      "source": "config",      "target_kind": "string",      "task": {        "description": "string",        "network_participation": {          "mode": "local"        },        "owner": {          "kind": "human",          "ref": "string"        },        "title": "string"      },      "updated_at": "2019-08-24T14:15:22Z",      "workspace_id": "string"    },    "resolved_at": "2019-08-24T14:15:22Z",    "source": "string",    "status": "string",    "workspace_id": "string"  }}